#ifndef __Solution__H
#define __Solution__H

#include <iostream>

class Solution {
public:
  double x1, x2;
  
  Solution() {
    x1 = 0;
    x2 = 0;
    fitnessRep = -1;
  }
  
  Solution(const Solution & _solution) {
    x1 = _solution.x1;
    x2 = _solution.x2;
    fitnessRep = _solution.fitness();
  }
  
  Solution& operator=(const Solution & _solution) {
    x1 = _solution.x1;
    x2 = _solution.x2;
    fitnessRep = _solution.fitness();
  }
  
  double fitness() const {
    return fitnessRep;
  }
  
  void fitness(double _fitness) {
    fitnessRep = _fitness;
  }
  
  void printOn() {
    std::cout << fitnessRep << " " << x1 << " " << x2 ;
  }
  
  void printOn(std::ostream & os) {
    os << fitnessRep << " " << x1 << " " << x2 ;
  }
  
protected:
  double fitnessRep;
};

#endif