/**
 * 
 */
import java.io.*;



/**
 * @author verel
 *
 */
public class Main {
	public static double h = 0.000001;
	
	public static double f(double x) {
//		return Math.cos(((x-0.5)*(x-0.5)*(x+1)+1)/(x+1));
		return Math.sqrt( Math.exp( (x-0.25) * (x-0.25) ) + 1);
	}
	
	public static double fprime(double x) {
		return (f(x+h) - f(x)) / h;
	}
	
	public static double fsecond(double x) {
		return (fprime(x+h) - fprime(x)) / h;
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		double x = 0.5;

		double fp = fprime(x);
		
		while (Math.abs(fp) > 1e-6) {
			x = x - fp / fsecond(x);
			fp = fprime(x);
		}

		System.out.println(x + " " + f(x) + " " + fp);
	
	}
}
